package com.heima.screen;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JFrame;

class MyFrame extends JFrame implements Runnable,MouseListener,KeyListener {
       	private String s;
        private MyTimer timer;
        public MyFrame (String s) {
        	  	this.s = s;
                this.getGraphicsConfiguration().getDevice().setFullScreenWindow(this);
                this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                this.setAlwaysOnTop(true);
                this.setVisible(false);
                this.setTitle(s);
                this.addMouseListener(this);
                this.addKeyListener(this);
                new Thread(this).start();
            
        }
        public void paint (Graphics g) {
       	 g.setColor(this.getBackground());
         g.fillRect(0, 0, getWidth(), getHeight());
         g.setColor(Color.BLACK);
       	 g.drawString(s, 50, 50);
       }
        public MyTimer getTimer() {
			return timer;
		}

		public void setTimer(MyTimer timer) {
			this.timer = timer;
		}

		public void run() {
                while (true) {
                	if(timer.getTime()>=5)
                		this.setVisible(true);
                	else 
                		this.setVisible(false);
                	try {
						Thread.sleep(100);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
					this.repaint();
                }
        }
        public void myEvent(Object e){
        	timer.setStartTime(System.currentTimeMillis());
        }
		@Override
		public void mouseClicked(MouseEvent e) {
			myEvent(e);
		}

		@Override
		public void mouseEntered(MouseEvent e) {
		}

		@Override
		public void mouseExited(MouseEvent e) {
		}

		@Override
		public void mousePressed(MouseEvent e) {
			myEvent(e);
		}

		@Override
		public void mouseReleased(MouseEvent e) {
			myEvent(e);
		}

		@Override
		public void keyPressed(KeyEvent e) {
			myEvent(e);
		}

		@Override
		public void keyReleased(KeyEvent e) {
			myEvent(e);
		}

		@Override
		public void keyTyped(KeyEvent e) {
			myEvent(e);
		}


}